glyrc(1)

NAME

glyrc - search engine for music-related metadata

USAGE

    glyrc GETTER [options]

where GETTER must be one of:

•   cover

•   lyrics

•   artistphoto

•   artistbio

•   similarartists

•   similarsongs

•   albumreview

•   albumlist

•   tags

•   relations

•   tracklist

•   guitartabs

•   backdrops

GENERAL OPTIONS

  -f --from String

Providers from where to get metadata. Refer to glyrc —list for a full list

  -w --write Path

Write metadata to the dir d, or filename d, special values stdout, stderr and null are supported.

Certain escapes are escaped inside the filename in the form :X:, where X may be one of:

•   type : The getter used in this query (e.g. cover)

•   artist : Artist - as passed by -a

•   album : Album - as passed by -b

•   title : Title - as passed by -t

•   size : Size in bytes

•   format : The image format or `txt' for textitems

•   source : The source URL of this item

•   prov : The Provider of this item

•   cksum : a md5sum of the data

•   rating : (Usually 0)

•   duration : (Only for tracks) Duration in seconds

•   number : An index incremented with each item (starting with 1)

The default format is
 ':artist::album::title::type::number:.:format:' Strings containing `/' are replaced with `|' automatically, so —write ':artist:' for AC/DC will result in AC|DC

  -n --number Integer

Download max. n items. Amount of actual downloaded items may be less.

  -l --lang String

Language settings. Used by a few getters to deliever localized data. Given in ISO 639-1 codes like `de'

  -o --only-lang

Only use providers that offer language specific data, this only applies for text items.

  -z --fuzzyness Integer

Set threshold for level of Levenshtein algorithm.

  -q --qsratio Float

How to weight quality/speed; 1.0 = full quality, 0.0 = full speed.

  -x --plugmax Integer

Maximum number od download a plugin may deliever. Use to make results more vary.

  -v --verbosity Integer

Set verbosity from 0 to 4. See online README for details.

NETWORK OPTIONS

  -p --parallel Integer

Define the number of downloads that may be performed in parallel.

  -u --useragent String

The useragent to use during HTTP requests

  -r --redirects Integer

Define the number of redirects that are allowed.

  -m --timeout Integer

Define the maximum number in seconds after which a download is cancelled.

  -k --proxy String

Set the proxy to use in the form of [protocol://][user:pass@]yourproxy.domain[:port]

PROVIDER SPECIFIC OPTIONS

  -d --download

Download Images.

  -D --skip-download

Don't download images, but return the URLs to them (act like a search engine)

  -a --artist String

Artist name to search for

  -b --album String

Album name to search for

  -t --title String

Songname to search for

  -e --maxsize Integer

(images only) The maximum size a cover may have.

  -i --minsize Integer

(images only) The minimum size a cover may have.

  -F --formats String

A semicolon separated list of imageformats that are allowed. e.g.: “png;jpeg”

  -8 --force-utf8

Forces utf8 encoding for text items, invalid encodings get sorted out

MISC OPTIONS

  -L --list

List all fetchers and source providers for each and exit.

  -h --help

This text you unlucky wanderer are viewing.

  -V --version

Print the version string.

  -U --update

Updates libglyr if new version is available.

  -g --as-one

(Textitems only) Output all results as one (useful for tracklist and albumlist).

  -G --no-as-one

Disables --as-one (Default)

  -y --color

Enables colored output for glyrc (Default)

  -Y --no-color

Prints no colored output

  -s --musictree-path p

p is a path to your music directory. Glyr might fetch things like folger.jpg from there

  -j --callback Command

Set a bash command to be executed when a item is finished downloading; The special string <path> is expanded with the actual path to the data.

DATABASE OPTIONS

  -c --cache folder

Creates or opens an existing cache at folder/metadata.db and lookups data from there.

  cache select [Query]

Selects data from the cache; you can use any other option behind this.

  cache delete [Query]

Instead of searching for this element, the element is deleted from the database. Needs —cache.

  cache list

List all items in the database (including the artist / album / title / type). Needs —cache.

EXAMPLES

    glyrc cover --artist SomeBand --album SomeAlbum

DB:

    # Write found items to cache; create it if not existent
    glyrc lyrics -a A -b B --cache /tmp

    # List all in the cache
    glyrc cache list --cache /tmp

    # Delete artist/album
    glyrc cache delete cover -a Equilibrium -b Sagas --cache /tmp

    # Search for two items in cache and print them
    glyrc cache select lyrics -a Knorkator -t 'A' -n 2 --cache /tmp

With each item received you get a link to the original source, please refer to the individual terms of use, copying and distributing of this data might be not allowed.

A more detailed version of this help can be found online: https://github.com/sahib/glyr/wiki/Commandline-arguments

AUTHORS
Christopher Pahl <sahib@online.de>, Etienne Millon.